Package org.apache.sling.auth.core.spi

# Enum Class AuthenticationHandler.FAILURE_REASON_CODES

java.lang.Object
java.lang.Enum<AuthenticationHandler.FAILURE_REASON_CODES>
org.apache.sling.auth.core.spi.AuthenticationHandler.FAILURE_REASON_CODES

All Implemented Interfaces:
  `Serializable`, `Comparable<AuthenticationHandler.FAILURE_REASON_CODES>`, `Constable`

Enclosing interface:
  AuthenticationHandler

public static enum AuthenticationHandler.FAILURE_REASON_CODES extends Enum<AuthenticationHandler.FAILURE_REASON_CODES>
This enum indicates the supported detailed login failure reason codes:

- `invalid_login`: indicates username/password mismatch.
- `password_expired`: indicates password has expired or was never set and change initial password is enabled
- `account_locked`: the account was disabled or locked
- `account_not_found`: the account was not found (not the same as username password mismatch)
- `expired_token`: the token credentials used have expired

Since:
  1.1.0

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ACCOUNT_LOCKED`
Account is locked or disabled
`ACCOUNT_NOT_FOUND`
Account was not found
`EXPIRED_TOKEN`
The token credentials used have expired
`INVALID_LOGIN`
Login is invald
`PASSWORD_EXPIRED`
Password has expired
`PASSWORD_EXPIRED_AND_NEW_PASSWORD_IN_HISTORY`
Password has expired and a new password is in history
`UNKNOWN`
Unknown reason

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
`static AuthenticationHandler.FAILURE_REASON_CODES`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AuthenticationHandler.FAILURE_REASON_CODES[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### INVALID_LOGIN

public static final AuthenticationHandler.FAILURE_REASON_CODES INVALID_LOGIN
Login is invald

### PASSWORD_EXPIRED

public static final AuthenticationHandler.FAILURE_REASON_CODES PASSWORD_EXPIRED
Password has expired

### PASSWORD_EXPIRED_AND_NEW_PASSWORD_IN_HISTORY

public static final AuthenticationHandler.FAILURE_REASON_CODES PASSWORD_EXPIRED_AND_NEW_PASSWORD_IN_HISTORY
Password has expired and a new password is in history

### UNKNOWN

public static final AuthenticationHandler.FAILURE_REASON_CODES UNKNOWN
Unknown reason

### ACCOUNT_LOCKED

public static final AuthenticationHandler.FAILURE_REASON_CODES ACCOUNT_LOCKED
Account is locked or disabled

### ACCOUNT_NOT_FOUND

public static final AuthenticationHandler.FAILURE_REASON_CODES ACCOUNT_NOT_FOUND
Account was not found

### EXPIRED_TOKEN

public static final AuthenticationHandler.FAILURE_REASON_CODES EXPIRED_TOKEN
The token credentials used have expired

## Method Details

### values

public static AuthenticationHandler.FAILURE_REASON_CODES[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static AuthenticationHandler.FAILURE_REASON_CODES valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### toString

public String toString()

Overrides:
  `toString` in class `Enum<AuthenticationHandler.FAILURE_REASON_CODES>`